/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-color: #000000;
  background-image: url('../images/blog-background-none.png');
  background-repeat: no-repeat;
	background-position: 50% 0px;
	background-size: 100%;
	background-attachment: scroll;
  font-size: 18px;
  font-family: Frutiger, Geneva, sans-serif;
  margin: 0;
}

p {
  line-height: 1.5em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}
#content li {
  line-height: 1.5em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}

a:link {
  color:#19f7ff;
}

a:visited {
  color:#19f7ff;
}

a:hover, a:focus {
  background-color: #0a2fff;
}

a:active {
  color:#36ff9a;
}

img {
  max-width: 100%;
  height: auto;
}
.right {
  float: right;
  margin-left: 1em;
}
.left {
  float: left;
  margin-right: 1em;
}
.center {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}
@media only screen and (min-width: 600px) {
  .small {
  max-width: 45%;
  height: auto;
  }
}
.caption {
  margin-top: 0;
  font-size: 0.9em;
  font-style: italic;
}

/*The horizontal rule appears at the top of the footer to visually separate the footer
from the content. You can also use <hr> to divide sections in the content!*/
hr {
  border-width: 10px 0 0 0;
  border-style: dotted;
  border-color: #45d945;
}

/*#CONTAINER is the rectangle that has contains everything but the background!*/
#container {
  margin: 3em auto;
  width: 90%;
	max-width: 900px;
	background: rgba(39, 39, 39, 0.5);
	backdrop-filter: blur(5px);
  color: #ffffff; 
  border-radius: 80px 80px 50px 50px;
  overflow: hidden;
  opacity: 100%;
  box-shadow: 0 15px 80px 0 #00d0ff, 0 -15px 40px 0 #00d0ff inset;
}

#content {
  padding: 10px 5% 20px 5%;
}


/*HEADER STYLE*/
#header {
  position: relative; /*doesn't change this element, but needed for the pink ring's positioning*/
  background: linear-gradient(to bottom,
    #73aeff 0%, 
    #146bc9 55%,
    #00509a 55%, 
    #28497a 100%
    );
  background-blend-mode: luminosity;
  padding: 0 5%;
  border-color: #45d945;
  border-style: solid;
  border-width: 0 0 5px 0;
  background-clip: padding-box;
  box-shadow: 0 -15px 40px 8px #0adaff inset;
  /*This is a workaround for the fact that overflow:hidden on parent element apparently didn't work in older versions of firefox:
  https://stackoverflow.com/questions/3714862/forcing-child-to-obey-parents-curved-borders-in-css*/
  -moz-border-radius: 20px; 
}
#header ul {
  display: inline-block;
  list-style-type: none;
  padding: 0;
  margin-bottom: 0.1em;
  margin-top: 1em;
}
#header li {
  font-size: 1.2em;
  display: inline-block;
  margin-right: 0.7em;
  margin-bottom: 1em;
  margin-top: 0.5em;
}
#header li a {
  color: #a8ffb5;
  background: linear-gradient(to bottom,
    #73aeff 0%, 
    #143fc9 55%,
    #00249a 55%, 
    #29287a 100%
    );
  border-radius: 25px;
  border: 3px solid #0adaff;
  padding: 6px 30px;
  box-shadow: 0 -2px 12px 0 #0adaff inset, 0 2px 12px 0 #0adaff;
  text-transform: uppercase;
  text-decoration: none;
}
#header li a:hover {
  background: linear-gradient(to bottom,
    #73aeff 0%, 
    #146bc9 55%,
    #00509a 55%, 
    #28497a 100%
    );
  text-decoration: none;
}
#header li a:active {
  color: #ffffff;
  background: linear-gradient(to bottom,
    #98ff96 0%, 
    #32db30 55%,
    #12b310 55%, 
    #98ff96 100%
    );
  border: 3px solid #ffffff;
  text-decoration: none;
  box-shadow: 0 -2px 12px 0 #ffffff, 0 2px 12px 0 #ffffff inset;
}
/*Floating ring*/
#header:after {
    position: absolute;
    right: 5%;
    bottom: -27px;
    content: '';
    background-color: #ffffff;
    box-shadow: 0 -1px 8px 0 #45d945, 0 -1px 8px 0 #45d945 inset;
    border-radius: 50%;
    border: 5px solid #45d945;
    width: 40px;
    height: 40px;
    opacity: 100%;
    pointer-events: none;
}

/*POST LIST STYLE*/
#postlistdiv ul {
  font-size: 1.0em;
  padding: 0;
  list-style-type: none;
}
#recentpostlistdiv ul {
  font-size: 1.0em;
  padding: 0;
  list-style-type: none;
}
.moreposts {
  font-size: 0.8em;
  margin-top: 0.2em;
}

/*NEXT AND PREVIOUS LINKS STYLE*/
#nextprev {
  text-align: center;
  margin-top: 1.4em;
}

/*DISQUS STYLE*/
#disqus_thread {
  margin-top: 1.6em;
}

/*FOOTER STYLE*/
#footer {
  font-size: 0.8em;
  padding: 0 5% 10px 5%;
}